diff --git a/lib/routes/decorator/frontMatter.js b/lib/routes/decorator/frontMatter.js
index 146a5716fa3e6d63795602c6b72952b411bced29..0b4d850289d60b4b2c90f309a26fffa3ab48b159 100644
--- a/lib/routes/decorator/frontMatter.js
+++ b/lib/routes/decorator/frontMatter.js
@@ -19,16 +19,16 @@ function _deepmerge() {
   return data;
 }
 var _getFrontMatter = _interopRequireDefault(require("../getFrontMatter"));
-function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
-function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
-function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
-function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
-function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return typeof key === "symbol" ? key : String(key); }
-function _toPrimitive(input, hint) { if (typeof input !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (typeof res !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
+function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
+function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
+function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
+function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
+function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
+function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
 /**
  * read frontmatters from route component content
  */
-var frontmatter = function frontmatter(routes) {
+var frontmatter = exports.default = function frontmatter(routes) {
   return routes.map(route => {
     const frontMatter = typeof route.component === 'string' ? (0, _getFrontMatter.default)(_path().default.join(this.umi.paths.cwd, route.component)) : {};
     return _objectSpread(_objectSpread({}, route), {}, {
@@ -36,4 +36,3 @@ var frontmatter = function frontmatter(routes) {
     });
   });
 };
\ No newline at end of file
-exports.default = frontmatter;
\ No newline at end of file
diff --git a/lib/routes/decorator/group.js b/lib/routes/decorator/group.js
index 77cfa27430711aa8f3299d5bfc9ee5b94fec0f4b..a3465502908eccf7fa37dbd748cf291a93cb439a 100644
--- a/lib/routes/decorator/group.js
+++ b/lib/routes/decorator/group.js
@@ -20,11 +20,11 @@ function _slash() {
 }
 var _locale = require("./locale");
 var _nav = require("./nav");
-function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
+function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
 /**
  * generate route group & update route path by group path
  */
-var group = function group(routes) {
+var group = exports.default = function group(routes) {
   const userCustomGroupTitles = {};
   routes.map(route => {
     var _route$meta$group, _route$meta$group2, _route$meta$nav, _route$meta$nav3, _route$meta$group3;
@@ -98,7 +98,7 @@ var group = function group(routes) {
         const dirs = (0, _nav.getRouteComponentDirs)(route.component, this).slice(route.meta.nav ? 1 : 0);
         route.meta.group.title =
         // use second dir as group title
-        ((_dirs$shift = dirs.shift()) === null || _dirs$shift === void 0 ? void 0 : _dirs$shift.replace(/^[a-z]/, s => s.toUpperCase())) || ( // then use nav title
+        ((_dirs$shift = dirs.shift()) === null || _dirs$shift === void 0 ? void 0 : _dirs$shift.replace(/^[a-z]/, s => s.toUpperCase())) || (// then use nav title
         (_route$meta$nav5 = route.meta.nav) === null || _route$meta$nav5 === void 0 ? void 0 : _route$meta$nav5.title) ||
         // fallback group title if there only has group path
         route.meta.group.path
@@ -113,4 +113,3 @@ var group = function group(routes) {
   });
   return routes;
 };
\ No newline at end of file
-exports.default = group;
\ No newline at end of file
diff --git a/lib/routes/decorator/hide.js b/lib/routes/decorator/hide.js
index a05130f3a03d5c6ec9e45a1cfef015c55ad9e64a..bc8e474ffdc21b0cd5c7c7aea77cd499101a3362 100644
--- a/lib/routes/decorator/hide.js
+++ b/lib/routes/decorator/hide.js
@@ -7,10 +7,9 @@ exports.default = void 0;
 /**
  * hide specific doc in production mode
  */
-var hide = function hide(routes) {
+var hide = exports.default = function hide(routes) {
   if (this.umi.env === 'production') {
     return routes.filter(route => route.meta.hide !== true);
   }
   return routes;
 };
\ No newline at end of file
-exports.default = hide;
\ No newline at end of file
diff --git a/lib/routes/decorator/index.js b/lib/routes/decorator/index.js
index 05f3cae77835d4abe543baaa37922a66bec2e0a6..5d5afda0c9062c284f7a9b64918df819d86a5671 100644
--- a/lib/routes/decorator/index.js
+++ b/lib/routes/decorator/index.js
@@ -22,17 +22,16 @@ var _fallback = _interopRequireDefault(require("./fallback"));
 var _redirect = _interopRequireDefault(require("./redirect"));
 var _relative = _interopRequireDefault(require("./relative"));
 var _integrate = _interopRequireDefault(require("./integrate"));
-function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
+function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
 class RouteDecorator {
-  /**
-   * shared storage for all processors
-   */
-
   constructor(options, umi) {
     this.processors = [];
     this.options = void 0;
     this.umi = void 0;
     this.debug = (0, _utils().createDebug)('dumi:routes:decorator');
+    /**
+     * shared storage for all processors
+     */
     this.data = {};
     this.options = options;
     this.umi = umi;
diff --git a/lib/routes/decorator/integrate.js b/lib/routes/decorator/integrate.js
index bddc6515abfa677e5e154b5ee46ad30cff585a12..5357357e10f484f3734853cb860dad64834ad440 100644
--- a/lib/routes/decorator/integrate.js
+++ b/lib/routes/decorator/integrate.js
@@ -15,7 +15,7 @@ function prefix(oPath) {
 /**
  * add route prefix when integrate dumi in a Umi project
  */
-var integrate = function integrate(routes) {
+var integrate = exports.default = function integrate(routes) {
   if (this.options.isIntegrate) {
     routes.forEach(route => {
       var _route$meta, _route$meta2;
@@ -30,4 +30,3 @@ var integrate = function integrate(routes) {
   }
   return routes;
 };
\ No newline at end of file
-exports.default = integrate;
\ No newline at end of file
diff --git a/lib/routes/decorator/locale.js b/lib/routes/decorator/locale.js
index 71b5e9055d274e7ffd72a9c807639e43cc2b48e6..daadb97272803bdcb28fcb1092c00cbc09a24f05 100644
--- a/lib/routes/decorator/locale.js
+++ b/lib/routes/decorator/locale.js
@@ -21,7 +21,7 @@ function _slash() {
   };
   return data;
 }
-function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
+function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
 /**
  * check route path wether prefix locale path
  * @param routePath   route path
@@ -49,7 +49,7 @@ function addLocalePrefix(routePath, localeName) {
 /**
  * set locale for route
  */
-var locale = function locale(routes) {
+var locale = exports.default = function locale(routes) {
   this.data.locales = new Set([this.options.locales[0][0]]);
   return routes.map(route => {
     var _path$parse$name$matc;
@@ -64,4 +64,3 @@ var locale = function locale(routes) {
     return route;
   });
 };
\ No newline at end of file
-exports.default = locale;
\ No newline at end of file
diff --git a/lib/routes/decorator/nav.js b/lib/routes/decorator/nav.js
index 85de32f6317d4a56e3ae47d04759811e0542b123..b8c45c52ea99fbd1af241c781667058ba2e8b161 100644
--- a/lib/routes/decorator/nav.js
+++ b/lib/routes/decorator/nav.js
@@ -20,12 +20,12 @@ function _utils() {
   return data;
 }
 var _locale = require("./locale");
-function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
-function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
-function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
-function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
-function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return typeof key === "symbol" ? key : String(key); }
-function _toPrimitive(input, hint) { if (typeof input !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (typeof res !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
+function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
+function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
+function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
+function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
+function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
+function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
 /**
  * get parent directories for route component
  * @param component   route component path
@@ -44,7 +44,7 @@ function getRouteComponentDirs(component, ctx) {
   // extract component directories and split
   return (0, _utils().winPath)(_path().default.dirname(clearComponentPath.replace(entryIncludePath, '')).replace(/^\./, '')).split('/');
 }
-var nav = function nav(routes) {
+var nav = exports.default = function nav(routes) {
   // only apply for site mode
   if (this.options.mode === 'site') {
     const defaultLocale = this.options.locales[0][0];
@@ -83,7 +83,7 @@ var nav = function nav(routes) {
         var _getRouteComponentDir;
         route.meta.nav.title =
         // use other same nav path title first
-        userCustomNavTitles[route.meta.nav.path] || ( // then use first directory name
+        userCustomNavTitles[route.meta.nav.path] || (// then use first directory name
         (_getRouteComponentDir = getRouteComponentDirs(route.component, this).shift()) === null || _getRouteComponentDir === void 0 ? void 0 : _getRouteComponentDir.replace(/^[a-z]/, s => s.toUpperCase())) ||
         // fallback nav title by nav path
         // discard locale prefix
@@ -97,4 +97,3 @@ var nav = function nav(routes) {
   }
   return routes;
 };
\ No newline at end of file
-exports.default = nav;
\ No newline at end of file
diff --git a/lib/routes/decorator/redirect.js b/lib/routes/decorator/redirect.js
index 7102a6874900960aabd73ccf03d82e591b0bbf78..732266e03c888f8b02ce33a38e341d571addfac0 100644
--- a/lib/routes/decorator/redirect.js
+++ b/lib/routes/decorator/redirect.js
@@ -8,13 +8,13 @@ var _getMenuFromRoutes = require("../getMenuFromRoutes");
 const _excluded = ["title", "path"],
   _excluded2 = ["title", "path"],
   _excluded3 = ["title", "path"];
-function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
-function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
-function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
-function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return typeof key === "symbol" ? key : String(key); }
-function _toPrimitive(input, hint) { if (typeof input !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (typeof res !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
-function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
-function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
+function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
+function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
+function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
+function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
+function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
+function _objectWithoutProperties(e, t) { if (null == e) return {}; var o, r, i = _objectWithoutPropertiesLoose(e, t); if (Object.getOwnPropertySymbols) { var s = Object.getOwnPropertySymbols(e); for (r = 0; r < s.length; r++) o = s[r], t.includes(o) || {}.propertyIsEnumerable.call(e, o) && (i[o] = e[o]); } return i; }
+function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (e.includes(n)) continue; t[n] = r[n]; } return t; }
 /**
  * 获取分组菜单的数组
  * @param validRoutes
@@ -66,7 +66,7 @@ function getFirstMenuInParent(childRoutes, customMenus) {
 /**
  * generate redirects for missing group index routes & legacy route paths
  */
-var redirect = function redirect(routes) {
+var redirect = exports.default = function redirect(routes) {
   const redirects = [];
   routes.forEach(route => {
     var _route$meta$group, _route$meta$nav;
@@ -120,4 +120,3 @@ var redirect = function redirect(routes) {
   });
   return routes.concat(Object.values(redirects));
 };
\ No newline at end of file
-exports.default = redirect;
\ No newline at end of file
diff --git a/lib/routes/decorator/relative.js b/lib/routes/decorator/relative.js
index 505d44673cf99215f4e881e0b7c9b15bd7e6870b..a70bf8e22c86437276e9eaf863d1d440f5556222 100644
--- a/lib/routes/decorator/relative.js
+++ b/lib/routes/decorator/relative.js
@@ -18,11 +18,11 @@ function _slash() {
   };
   return data;
 }
-function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
+function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
 /**
  * Umi process route component from pages path but dumi process with cwd, so the path need to be converted
  */
-var relative = function relative(routes) {
+var relative = exports.default = function relative(routes) {
   return routes.map(route => {
     if (route.component && !_path().default.isAbsolute(route.component)) {
       var _this$umi, _this$umi$config;
@@ -35,4 +35,3 @@ var relative = function relative(routes) {
     return route;
   });
 };
\ No newline at end of file
-exports.default = relative;
\ No newline at end of file
diff --git a/lib/routes/decorator/title.js b/lib/routes/decorator/title.js
index 5e9aa627068caae7d15b7cf1d3cd90923431d9f5..35e57b2c5dadd510e01d54dd04aed28349ce9a84 100644
--- a/lib/routes/decorator/title.js
+++ b/lib/routes/decorator/title.js
@@ -11,11 +11,11 @@ function _path() {
   };
   return data;
 }
-function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
+function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
 /**
  * set title for route
  */
-var title = function title(routes) {
+var title = exports.default = function title(routes) {
   return routes.map(route => {
     // generate title if user did not configured
     if (!route.meta.title && typeof route.component === 'string') {
@@ -38,4 +38,3 @@ var title = function title(routes) {
     return route;
   });
 };
\ No newline at end of file
-exports.default = title;
\ No newline at end of file
diff --git a/lib/routes/getFrontMatter.js b/lib/routes/getFrontMatter.js
index 493380c28c44f5e0fe3d60eea0c5f7da26d3f5e9..46293cdf35de3233c5f0f6e648349061a5b4c82b 100644
--- a/lib/routes/getFrontMatter.js
+++ b/lib/routes/getFrontMatter.js
@@ -20,9 +20,9 @@ function _path() {
 }
 var _transformer = _interopRequireDefault(require("../transformer"));
 const _excluded = ["demos"];
-function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
-function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
-function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
+function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
+function _objectWithoutProperties(e, t) { if (null == e) return {}; var o, r, i = _objectWithoutPropertiesLoose(e, t); if (Object.getOwnPropertySymbols) { var s = Object.getOwnPropertySymbols(e); for (r = 0; r < s.length; r++) o = s[r], t.includes(o) || {}.propertyIsEnumerable.call(e, o) && (i[o] = e[o]); } return i; }
+function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (e.includes(n)) continue; t[n] = r[n]; } return t; }
 /**
  * extract Front Matter config from markdown file
  */
diff --git a/lib/routes/getMenuFromRoutes.js b/lib/routes/getMenuFromRoutes.js
index 9af8ec17dca98e663f0d6fac6313629a05c9527d..5a77f98e54e7a5e859ecc63d00a4319068a2c4fa 100644
--- a/lib/routes/getMenuFromRoutes.js
+++ b/lib/routes/getMenuFromRoutes.js
@@ -23,14 +23,14 @@ function _slash() {
 var _context = _interopRequireDefault(require("../context"));
 var _locale = require("./decorator/locale");
 const _excluded = ["title", "path"];
-function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
-function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
-function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
-function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
-function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
-function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
-function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return typeof key === "symbol" ? key : String(key); }
-function _toPrimitive(input, hint) { if (typeof input !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (typeof res !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
+function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
+function _objectWithoutProperties(e, t) { if (null == e) return {}; var o, r, i = _objectWithoutPropertiesLoose(e, t); if (Object.getOwnPropertySymbols) { var s = Object.getOwnPropertySymbols(e); for (r = 0; r < s.length; r++) o = s[r], t.includes(o) || {}.propertyIsEnumerable.call(e, o) && (i[o] = e[o]); } return i; }
+function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (e.includes(n)) continue; t[n] = r[n]; } return t; }
+function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
+function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
+function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
+function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
+function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
 function isValidMenuRoutes(route) {
   return Boolean(route.path) && !route.redirect;
 }
